Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_At_Thread_Exit_Func Class Reference

`#include <Thread_Manager.h>`

Inheritance diagram for ACE_At_Thread_Exit_Func:

[legend]
Collaboration diagram for ACE_At_Thread_Exit_Func:

[legend]
List of all members.

## Public Methods
| ACE_At_Thread_Exit_Func (void *object, ACE_CLEANUP_FUNC func, void *param=0)
| Constructor.
virtual | ~ACE_At_Thread_Exit_Func (void)
## Protected Methods
void | apply (void)
| The apply method.
## Protected Attributes
void * | object_
| The object to be cleanup.
ACE_CLEANUP_FUNC | func_
| The cleanup func.
void * | param_
| A param if required.

## Constructor & Destructor Documentation

ACE_INLINE ACE_At_Thread_Exit_Func::ACE_At_Thread_Exit_Func | ( | void * | object,
|  | ACE_CLEANUP_FUNC | func,
|  | void * | param = 0
| ) |

| Constructor.

ACE_INLINE ACE_At_Thread_Exit_Func::~ACE_At_Thread_Exit_Func | ( | void |  | ) | `[virtual]`

## Member Function Documentation

ACE_INLINE void ACE_At_Thread_Exit_Func::apply | ( | void |  | ) | `[protected, virtual]`

| The apply method. Implements ACE_At_Thread_Exit.

## Member Data Documentation

ACE_CLEANUP_FUNC ACE_At_Thread_Exit_Func::func_`[protected]`

| The cleanup func.

void* ACE_At_Thread_Exit_Func::object_`[protected]`

| The object to be cleanup.

void* ACE_At_Thread_Exit_Func::param_`[protected]`

| A param if required.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Manager.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Manager.i